using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;
using System.Collections.Specialized;
using Syncfusion.Windows.Forms;
using System.Collections;
using System.Threading;


namespace Grid_Control
{
    public partial class Form1 : Form
    {        
        public Form1()
        {
            InitializeComponent();
        }
        private void Form1_Load(object sender, EventArgs e)
        {
            this.gridControl1.ColCount = 4;
            this.gridControl1.QueryColWidth += new GridRowColSizeEventHandler(gridControl1_QueryColWidth);
            this.ClientSizeChanged += new EventHandler(Form1_ClientSizeChanged);
        }

        void Form1_ClientSizeChanged(object sender, EventArgs e)
        {
            this.gridControl1.Refresh();
        }

        void gridControl1_QueryColWidth(object sender, GridRowColSizeEventArgs e)
        {
            if (e.Index > 0)
            {
                e.Size = (this.gridControl1.ClientSize.Width-this.gridControl1.ColWidths[0]) / this.gridControl1.ColCount;
                e.Handled = true;
            }
        }

        void gridControl1_CellsChanged(object sender, GridCellsChangedEventArgs e)
        {
            
        }
     
        void gridControl1_ResizingColumns(object sender, GridResizingColumnsEventArgs e)
        {            
            if (e.Reason == GridResizeCellsReason.MouseUp && this.gridControl1.ColWidths[e.Columns.Left]!=e.Width)
            {
                this.gridControl1.ColWidths.SetRange(1, this.gridControl1.ColCount, e.Width);                
            }            
            if (e.Reason == GridResizeCellsReason.DoubleClick)
            {                               
                this.gridControl1.ColWidths.ResizeToFit(GridRangeInfo.Table());
                e.Cancel = true;
            }
        }        
    }
}
