Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Text
Imports System.Windows.Forms
Imports Syncfusion.Windows.Forms.Grid
Imports System.Collections.Specialized
Imports Syncfusion.Windows.Forms
Imports System.Collections
Imports System.Threading


Namespace Grid_Control
	Partial Public Class Form1
		Inherits Form
		Public Sub New()
			InitializeComponent()
		End Sub
		Private Sub Form1_Load(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Load
			Me.gridControl1.ColCount = 4
			AddHandler gridControl1.QueryColWidth, AddressOf gridControl1_QueryColWidth
			AddHandler ClientSizeChanged, AddressOf Form1_ClientSizeChanged
		End Sub

		Private Sub Form1_ClientSizeChanged(ByVal sender As Object, ByVal e As EventArgs)
			Me.gridControl1.Refresh()
		End Sub

		Private Sub gridControl1_QueryColWidth(ByVal sender As Object, ByVal e As GridRowColSizeEventArgs)
			If e.Index > 0 Then
				e.Size = (Me.gridControl1.ClientSize.Width-Me.gridControl1.ColWidths(0)) / Me.gridControl1.ColCount
				e.Handled = True
			End If
		End Sub

		Private Sub gridControl1_CellsChanged(ByVal sender As Object, ByVal e As GridCellsChangedEventArgs)

		End Sub

		Private Sub gridControl1_ResizingColumns(ByVal sender As Object, ByVal e As GridResizingColumnsEventArgs)
			If e.Reason = GridResizeCellsReason.MouseUp AndAlso Me.gridControl1.ColWidths(e.Columns.Left)<>e.Width Then
				Me.gridControl1.ColWidths.SetRange(1, Me.gridControl1.ColCount, e.Width)
			End If
			If e.Reason = GridResizeCellsReason.DoubleClick Then
				Me.gridControl1.ColWidths.ResizeToFit(GridRangeInfo.Table())
				e.Cancel = True
			End If
		End Sub
	End Class
End Namespace
